<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class RoleCheck
{
    /**
     * Handle an incoming request.
     *
     * @param  Closure(Request): (Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        dd(auth()->user());
        if (auth()->user()->hasRole('super_admin')) {
            return $next($request);
        }elseif(auth()->user()->hasRole('principal')){
            return $next($request);
        }else{
            abort(403);
        }
        
    }
}
